digiKam Developer Documentation: Digikam::TaggingActionFactory Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Static Public Member Functions | List of all members
Digikam::TaggingActionFactory Class Reference

## Classes
class | ConstraintInterface

## Public Types
enum | NameMatchMode { MatchStartingWithFragment , MatchContainingFragment }

## Public Member Functions
QList< TaggingAction > | actions () const
| Returns the sorted list of suggested tagging actions, based on the above settings.
ConstraintInterface * | constraintInterface () const
TaggingAction | defaultTaggingAction () const
| Returns one single action, which is decided to be the presumably best action based on the settings.
QString | fragment () const
int | indexOfDefaultAction () const
| Returns the index of the default action in the list returned by generate()
int | indexOfLastRecentAction () const
| Returns the index of the last recent action in the list returned by actions()
NameMatchMode | nameMatchMode () const
int | parentTagId () const
void | reset ()
| reset all settings to the default (no fragment, no actions)
void | setConstraintInterface (ConstraintInterface *const iface)
| Allows to filter the scope of suggested tags.
void | setFragment (const QString &fragment)
| Set a fragment of a tag name to generate possible tags, as known from completers.
void | setNameMatchMode (NameMatchMode mode)
| Set the matching mode for the tag name.
void | setParentTag (int parentTagId)
| Set a tag which may by the user be intended to be the parent of a newly created tag.
QString | suggestedUIString (const TaggingAction &action) const
| Returns a string to be used in the UI for the given TaggingAction, interpreted in the context of the current settings.

## Static Public Member Functions
static TaggingAction | defaultTaggingAction (const QString &tagName, int parentTagId=0)

## Member Enumeration Documentation

## ◆ NameMatchMode

enum Digikam::TaggingActionFactory::NameMatchMode

Enumerator
MatchStartingWithFragment | Default: use the "startingWith" method.
MatchContainingFragment | use the "contains" method

## Member Function Documentation

## ◆ setConstraintInterface()

void Digikam::TaggingActionFactory::setConstraintInterface | ( | ConstraintInterface *const | iface | ) |

Pass an implementation of ConstraintInterface (remains in your ownership). actions() will then only suggest to assign tags for which matches() is true